APIs / Bilibili / Search

Bilibili: Search

Search from Bilibili as JSON. 1 credit per successful call.

GET /v1/bilibili/searchNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
search_typestringRequiredvideo, bili_user, media_bangumi, media_ft, article, live, live_user, live_room
keywordstringRequiredUp to 191 characters
pageintegerOptionalAny
orderstringOptionaltotalrank, click, pubdate, scores, stow, dm, pw
durationintegerOptionalAny
tidsintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/bilibili/search" \
  -H "X-API-Key: $API_KEY"